---
title: 'Document: pointerdown event'
slug: Web/API/Document/pointerdown_event
tags:
  - API
  - Document
  - Event
  - PointerEvent
  - Reference
  - onpointerdown
  - pointerdown
---
<div>{{APIRef}}</div>

<p>The <code>pointerdown</code> event is fired when a pointer becomes active. For mouse, it is fired when the device transitions from no buttons depressed to at least one button depressed. For touch, it is fired when physical contact is made with the digitizer. For pen, it is fired when the stylus makes physical contact with the digitizer.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("PointerEvent")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>{{domxref("GlobalEventHandlers/onpointerdown", "onpointerdown")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<p>Using <code>addEventListener()</code>:</p>

<pre class="brush: js notranslate">document.addEventListener('pointerdown', (event) =&gt; {
  console.log('Pointer down event');
});</pre>

<p>Using the <code>onpointerdown</code> event handler property:</p>

<pre class="brush: js notranslate">document.onpointerdown = (event) =&gt; {
  console.log('Pointer down event');
};</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Pointer Events 2','#the-pointerdown-event')}}</td>
   <td>{{Spec2('Pointer Events 2')}}</td>
  </tr>
  <tr>
   <td>{{SpecName('Pointer Events', '#the-pointerdown-event')}}</td>
   <td>{{Spec2('Pointer Events')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.pointerdown_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("GlobalEventHandlers/onpointerdown", "onpointerdown")}} event handler property.</li>
 <li>This event on <code>HTMLElement</code> targets: {{domxref("HTMLElement/pointerdown_event", "pointerdown")}} event</li>
</ul>
